> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trials

> Retrieve a list of `Trial` objects.

You can use query parameters to filter, sort, and paginate the results.





## OpenAPI

````yaml /api-reference/services_documented/billing_reseller_api.yaml get /billing/org/v1/trials
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: addendums
    description: Operations on client addendums
    x-displayName: addendums
  - name: calc_rules
    x-displayName: calc_rules
  - name: currencies
    x-displayName: currencies
  - name: erp-invoices
    x-displayName: erp-invoices
  - name: expenses
    description: Operations on expenses
    x-displayName: expenses
  - name: plans
    description: Operations on tariff plans and their contents
    x-displayName: plans
  - name: products
    x-displayName: products
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
    x-displayName: reports
  - name: trials
    x-displayName: trials
paths:
  /billing/org/v1/trials:
    get:
      tags:
        - trials
      summary: List Trials
      description: |+
        Retrieve a list of `Trial` objects.

        You can use query parameters to filter, sort, and paginate the results.

      operationId: v1_trials_list
      parameters:
        - in: query
          name: active_after
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active after the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&active_after=2025-05-15 12:00:00`

            - `&active_after=2025-05-15T12:00:00Z`
        - in: query
          name: active_at
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active at the specified date-time (ISO 8601/RFC 3339
            format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**



            - `&active_at=2025-05-15 12:00:00`

            - `&active_at=2025-05-15T12:00:00Z`
        - in: query
          name: active_before
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active before the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&active_before=2025-05-15 12:00:00`

            - `&active_before=2025-05-15T12:00:00Z`
        - in: query
          name: client_id
          schema:
            type: array
            items:
              type: integer
              maximum: 2147483647
              minimum: -2147483648
              nullable: true
          description: Filter by client ID. Can be multiple.
          explode: true
          style: form
        - in: query
          name: company_name
          schema:
            type: string
          description: |-
            Filter by client's company name (client's name).
            Case insensitive. Supports partial matches.
        - in: query
          name: created_after
          schema:
            type: string
            format: date-time
          description: >+
            Filter by creation date-time.


            Returns items created after the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&created_after=2025-05-15`

            - `&created_after=2025-05-15 12:00:00`

            - `&created_after=2025-05-15T12:00:00Z`

        - in: query
          name: created_before
          schema:
            type: string
            format: date-time
          description: >-
            Filter by creation date-time.


            Returns items created before the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&created_before=2025-05-15`

            - `&created_before=2025-05-15 12:00:00`

            - `&created_before=2025-05-15T12:00:00Z`
        - in: query
          name: created_on
          schema:
            type: string
            format: date
        - in: query
          name: id
          schema:
            type: integer
        - name: limit
          required: false
          in: query
          description: Number of results to return per page. Maximum is `100`.
          schema:
            type: integer
        - in: query
          name: not_active_at
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items not active at the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**


            - `&not_active_at=2025-05-15 12:00:00`

            - `&not_active_at=2025-05-15T12:00:00Z`
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: ordering
          schema:
            type: array
            items:
              type: string
              enum:
                - '-client_id'
                - '-created_at'
                - '-ended_at'
                - '-id'
                - '-plan_id'
                - '-plan_name'
                - '-product_id'
                - '-product_name'
                - '-started_at'
                - client_id
                - created_at
                - ended_at
                - id
                - plan_id
                - plan_name
                - product_id
                - product_name
                - started_at
          description: >-
            Ordering of the results.


            Default sort order is ascending. Put `-` before value for descending
            sort order: `-id`.


            For sorting by multiple parameters write them as comma separated
            string: `-client_id,id`.



            - `id` - Id

            - `-id` - Id (descending)

            - `created_at` - Created at

            - `-created_at` - Created at (descending)

            - `client_id` - Client id

            - `-client_id` - Client id (descending)

            - `started_at` - Started at

            - `-started_at` - Started at (descending)

            - `ended_at` - Ended at

            - `-ended_at` - Ended at (descending)

            - `plan_name` - Plan name

            - `-plan_name` - Plan name (descending)

            - `plan_id` - Plan id

            - `-plan_id` - Plan id (descending)

            - `product_name` - Product name

            - `-product_name` - Product name (descending)

            - `product_id` - Product id

            - `-product_id` - Product id (descending)
          explode: false
          style: form
        - in: query
          name: plan_id
          schema:
            type: array
            items:
              type: integer
              nullable: true
          description: Filter by plan ID. Can be multiple.
          explode: true
          style: form
        - in: query
          name: plan_name
          schema:
            type: string
          description: Filter by plan name. Case insensitive. Supports partial matches.
        - in: query
          name: product_id
          schema:
            type: array
            items:
              type: integer
          description: |-
            Filter by product ID. Can be multiple.

            Returns products with the specified ID.

            **Examples:**

            - `&product_id=1`
            - `&product_id=1&product_id=2`



            **Available values:**

            - `1` - CDN
            - `2` - Object Storage
            - `3` - Web Security
            - `4` - Streaming
            - `5` - Cloud
            - `6` - Colocation Services
            - `7` - WG Private Cloud
            - `8` - p2p
            - `9` - DDoS Protection
            - `10` - Managed DNS
            - `11` - Other Services
            - `12` - Premium Support
            - `13` - Connectivity
            - `14` - Hosting (G-Hosting)
            - `15` - Managed Services
            - `16` - Rent
            - `17` - Software development
            - `18` - VM Ware
            - `19` - LaaS
            - `20` - AWS Cloud
            - `21` - FastEdge
            - `22` - Technical Support
            - `23` - WAAP
            - `25` - Edge Proxy
            - `32` - AI Managed Dedicated Compute
            - `65` - Gclaw
          explode: true
          style: form
        - in: query
          name: product_internal_name
          schema:
            type: array
            items:
              type: string
          description: |-
            Filter by product internal name. Can be multiple.

            Returns products with the specified internal name.

            **Examples:**

            - `&product_internal_name=CDN`
            - `&product_internal_name=CDN&product_internal_name=DNS`



            **Available values:**

            - `AI_DEDCOMP` - AI Managed Dedicated Compute
            - `AWS_CLOUD` - AWS Cloud
            - `CDN` - CDN
            - `CLOUD` - Cloud
            - `CONNECT` - Colocation Services
            - `CONNECTIVITY` - Connectivity
            - `DDOS` - Web Security
            - `DNS` - Managed DNS
            - `FAST_EDGE` - FastEdge
            - `GCLAW` - Gclaw
            - `GHOST` - Hosting (G-Hosting)
            - `INFRASTRUCTURE_PROTECTION` - DDoS Protection
            - `LAAS` - LaaS
            - `MANAGED_SERVICES` - Managed Services
            - `OTHER_SERVICES` - Other Services
            - `P2P` - p2p
            - `PREMIUM_SUPPORT` - Premium Support
            - `RENT` - Rent
            - `SHIELD_PROXY` - Edge Proxy
            - `SOFTWARE_DEVELOPMENT` - Software development
            - `STORAGE` - Object Storage
            - `STREAMING` - Streaming
            - `TECHNICAL_SUPPORT` - Technical Support
            - `VMWARE` - VM Ware
            - `WAAP` - WAAP
            - `WG_PRIVATE_CLOUD` - WG Private Cloud
          explode: true
          style: form
        - in: query
          name: product_name
          schema:
            type: string
          description: Filter by product name. Case insensitive. Supports partial matches.
        - in: query
          name: started_at__isnull
          schema:
            type: boolean
          description: Filter trials where `started_at` is null.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTrialForOrgSerializerV1List'
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    PaginatedTrialForOrgSerializerV1List:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/TrialForOrgSerializerV1'
    TrialForOrgSerializerV1:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        client_id:
          type: integer
          readOnly: true
          description: ID of the client associated with the trial.
        client:
          allOf:
            - $ref: '#/components/schemas/CustomerCommonShort'
          readOnly: true
          description: Client associated with the trial.
        product:
          allOf:
            - $ref: '#/components/schemas/ProductCommonShort'
          readOnly: true
          description: Product associated with the trial.
        plan:
          allOf:
            - $ref: '#/components/schemas/PlanCommonShort'
          readOnly: true
          description: Plan associated with the trial.
        days_limit:
          type: integer
          readOnly: true
          description: The number of days for which the trial is valid.
        active_ranges:
          type: array
          items:
            $ref: '#/components/schemas/DateTimeTZRange'
          readOnly: true
          description: List of active ranges for the trial.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: The date and time when the trial was created.
        options:
          type: array
          items:
            $ref: '#/components/schemas/TrialOptionForOrgSerializerV1'
          readOnly: true
          description: List of trial options associated with the trial.
        remaining_duration:
          type: integer
          readOnly: true
          description: >-
            Remaining duration of the trial period in seconds. This is
            calculated as the difference between the end date of the trial and
            the current time. If the trial has not started or has ended, this
            field will be `null`.
        is_trial_skipped:
          type: string
          readOnly: true
          description: Indicates if the trial is skipped.
      required:
        - active_ranges
        - client
        - client_id
        - created_at
        - days_limit
        - id
        - is_trial_skipped
        - options
        - plan
        - product
        - remaining_duration
    CustomerCommonShort:
      type: object
      properties:
        id:
          type: integer
          minimum: 1
          readOnly: true
        company_name:
          type: string
          readOnly: true
      required:
        - company_name
        - id
    ProductCommonShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        internal_name:
          type: string
          maxLength: 25
      required:
        - id
        - internal_name
        - name
    PlanCommonShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
      required:
        - id
        - name
    DateTimeTZRange:
      type: object
      description: Date-time range with start and end fields.
      properties:
        start:
          type: string
          format: date-time
          nullable: true
        end:
          type: string
          format: date-time
          nullable: true
    TrialOptionForOrgSerializerV1:
      type: object
      properties:
        internal_name:
          type: string
          title: Trial option internal name
          readOnly: true
          description: Internal name of the trial option.
        name:
          type: string
          readOnly: true
          description: Name of the trial option.
        description:
          type: string
          readOnly: true
          description: Description of the trial option.
        unit:
          allOf:
            - $ref: '#/components/schemas/UnitCommon'
          readOnly: true
          description: >-
            Unit of measurement for the `value`, `used_value`, and `remainder`
            fields.
        value:
          type: integer
          minimum: 0
          readOnly: true
          description: Value of the trial option in `unit`.
        used_value:
          type: integer
          readOnly: true
          description: >-
            Used value of the trial option in `unit`. This is the value that has
            been consumed or utilized during the trial period.
        remaining_value:
          type: integer
          readOnly: true
          description: >-
            Remaining value of the trial option in `unit`. This is calculated as
            the difference between `value` and `used_value` if the trial option
            is a limit. If it is not a limit, this field will be `null`.
        is_limit:
          type: boolean
          readOnly: true
          description: Indicates if the trial option is a limit.
        feature:
          allOf:
            - $ref: '#/components/schemas/FeatureCommonExternal'
          readOnly: true
          description: Feature associated with the trial option.
      required:
        - description
        - feature
        - internal_name
        - is_limit
        - name
        - remaining_value
        - unit
        - used_value
        - value
    UnitCommon:
      type: object
      properties:
        id:
          type: integer
          minimum: 1
          readOnly: true
          description: Unique internal identifier of the unit.
        name:
          type: string
          readOnly: true
          description: Name of the unit.
        internal_name:
          type: string
          readOnly: true
          description: Internal name of the unit.
      required:
        - id
        - internal_name
        - name
    FeatureCommonExternal:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
      required:
        - id
        - name
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````